Page MenuHomePhabricator

[DO NOT USE] Make MediaWiki more AJAXy (tracking)
Closed, InvalidPublic

Description

This tracking task is gone, with no projects replacement see T102499: Replace tracking bug T16123 by new project tag "AJAX".

Tracking bug for AJAX issues


See Also:
T43837: Make MediaWiki more RESTful

Details

Reference
bz14123

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:09 PM
bzimport set Reference to bz14123.
bzimport added a subscriber: Unknown Object (MLST).
Danny_B created this task.May 14 2008, 4:21 PM

Adding 'tracking' keyword.

This tracker is used for issues with the AJAX interface on the server-wide or the client-side code that interfaces with that API.

Removed various dependencies that for components that simply use ajax internally but aren't issues with the ajax interface itself, nor can be fixed by changing anything with ajax.

(In reply to comment #2)

This tracker is used for issues with the AJAX interface on the server-wide or
the client-side code that interfaces with that API.

No, it never was AFAICS.
I'm clarifying the summary, let's see if there's something else not relevant.

Removed various dependencies that for components that simply use ajax
internally but aren't issues with the ajax interface itself, nor can be fixed
by changing anything with ajax.

Moved this new tracking bug to 43175.

(In reply to comment #3)

I'm clarifying the summary, let's see if there's something else not relevant.

You blindly re-added all of it, even the ones that really didn't belong on it either way. I've re-removed those.

Removed various dependencies that for components that simply use ajax
internally but aren't issues with the ajax interface itself, nor can be fixed
by changing anything with ajax.

Moved this to new tracking bug 43175.

Sure, that works.

See also bug 41837, related to RESTfulness.

Should bugs be filed for features like [[m:User:Pathoschild/Scripts/Ajax_sysop]] being added to core (AJAX patrol and rollback from within RC as options)?
I'd normally consider them suitable only as gadgets, but they're currently broken https://github.com/Pathoschild/Wikimedia-contrib/issues/8 and this backfires elsewhere, see bug 8697 comment 12.

Based on code by Yair Rand, [[mw:Extension:Popups]] is being developed, by a developer who seems to work for WMF if the email address can be trusted. I asked some questions at https://www.mediawiki.org/wiki/Thread:Extension_talk:Popups/Patrolling_and_maintenance.

matmarex removed a subscriber: matmarex.Jan 10 2015, 7:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2015, 6:09 PM
Danny_B updated the task description. (Show Details)Feb 12 2016, 7:04 PM
Krinkle removed a subscriber: Krinkle.Nov 22 2016, 1:37 AM
Sn1per added a subscriber: Sn1per.Dec 17 2016, 3:03 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptAug 10 2018, 4:43 PM
Liuxinyu970226 renamed this task from Make MediaWiki more AJAXy (tracking) to [DO NOT USE] Make MediaWiki more AJAXy (tracking).Oct 27 2018, 11:31 PM